[Bug 1510] New: Fontconfig/DocBook-utils issue

blfs-bugs at linuxfromscratch.org blfs-bugs at linuxfromscratch.org
Mon Aug 8 00:14:57 PDT 2005


http://blfs-bugs.linuxfromscratch.org/show_bug.cgi?id=1510

           Summary: Fontconfig/DocBook-utils issue
           Product: Beyond LinuxFromScratch
           Version: a-SVN
          Platform: All
        OS/Version: Linux
            Status: NEW
          Severity: minor
          Priority: P2
         Component: BOOK
        AssignedTo: blfs-book at linuxfromscratch.org
        ReportedBy: LFS-User at mcmurchy.com
         QAContact: blfs-book at linuxfromscratch.org


If you remove the --disable-docs parameter from configure in the Fontconfig
instructions to use DocBook-utils, you must now also have JadeTeX installed
of the build will fail during the building of the PDF documentation.

I'm not sure if this is new to this release, or what, but we need to document
it just like the SGMLSpm stuff is documented. What might be best is to 
parenthesize the need for the JadeTeX and SGMLSpm packages as mandatory in 
the DocBook-utils dependency. In other words, the optional dependency must
say that DocBook-utils (and all its dependencies) are required to build the
documentation.

Or, simply remove DocBook-Utils as a dependency and don't mention anything
so that folks will always use the --disable-docs parameter as outlined in
the book.



------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.
You are the QA contact for the bug, or are watching the QA contact.



More information about the blfs-book mailing list